Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
MayaEggGroupUserData Class Reference

This class contains extra user data which is piggybacked onto EggGroup objects for the purpose of the maya converter. More...

`#include "mayaEggGroupUserData.h"`

Inheritance diagram for MayaEggGroupUserData:

## Public Member Functions
| MayaEggGroupUserData (const MayaEggGroupUserData &copy)
virtual TypeHandle | force_init_type ()
virtual TypeHandle | get_type () const
void | operator= (const MayaEggGroupUserData &copy)
Public Member Functions inherited from EggUserData
| EggUserData (const EggUserData &copy)
EggUserData & | operator= (const EggUserData &copy)
Public Member Functions inherited from TypedReferenceCount
| TypedReferenceCount (const TypedReferenceCount &copy)
void | operator= (const TypedReferenceCount &copy)
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from EggUserData
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Public Attributes
bool | _double_sided
bool | _vertex_color
Public Attributes inherited from TypedObject
| get_type
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.

## Detailed Description

This class contains extra user data which is piggybacked onto EggGroup objects for the purpose of the maya converter.

Definition at line 24 of file mayaEggGroupUserData.h.

## Constructor & Destructor Documentation

## ◆ MayaEggGroupUserData() [1/2]

MayaEggGroupUserData::MayaEggGroupUserData | ( |  | ) |
| inline

Definition at line 17 of file mayaEggGroupUserData.I.

## ◆ MayaEggGroupUserData() [2/2]

MayaEggGroupUserData::MayaEggGroupUserData | ( | const MayaEggGroupUserData & | copy | ) |
| inline

Definition at line 27 of file mayaEggGroupUserData.I.

## Member Function Documentation

## ◆ force_init_type()

virtual TypeHandle MayaEggGroupUserData::force_init_type | ( |  | ) |
| inline virtual

Reimplemented from EggUserData.

Definition at line 45 of file mayaEggGroupUserData.h.

## ◆ get_class_type()

static TypeHandle MayaEggGroupUserData::get_class_type | ( |  | ) |
| inline static

Definition at line 34 of file mayaEggGroupUserData.h.

## ◆ get_type()

virtual TypeHandle MayaEggGroupUserData::get_type | ( |  | ) | const
| inline virtual

Reimplemented from EggUserData.

Definition at line 42 of file mayaEggGroupUserData.h.

## ◆ init_type()

static void MayaEggGroupUserData::init_type | ( |  | ) |
| inline static

Definition at line 37 of file mayaEggGroupUserData.h.

## ◆ operator=()

void MayaEggGroupUserData::operator= | ( | const MayaEggGroupUserData & | copy | ) |
| inline

Definition at line 39 of file mayaEggGroupUserData.I.

## Member Data Documentation

## ◆ _double_sided

bool MayaEggGroupUserData::_double_sided

Definition at line 31 of file mayaEggGroupUserData.h.

## ◆ _vertex_color

bool MayaEggGroupUserData::_vertex_color

Definition at line 30 of file mayaEggGroupUserData.h.

The documentation for this class was generated from the following files:

- pandatool/src/mayaegg/mayaEggGroupUserData.h
- pandatool/src/mayaegg/mayaEggGroupUserData.cxx
- pandatool/src/mayaegg/mayaEggGroupUserData.I